i2p.susi.util

## Class Config

- java.lang.Object
- - i2p.susi.util.Config

-     public class Config
      extends Object

  Static configuration manager. Warning: Not suitable for multiple applications or prefixes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Properties` | `getProperties()` Returns the properties, sorted, WITHOUT the prefix
    `static String` | `getProperty(String name)`
    `static int` | `getProperty(String name, int defaultValue)`
    `static String` | `getProperty(String name, String defaultValue)`
    `static boolean` | `hasConfigFile()` Don't bother showing a reload config button if this returns false.
    `static void` | `reloadConfiguration()`
    `static void` | `saveConfiguration(Properties newProps)` Saves the properties.
    `static void` | `setPrefix(String prefix)` Static! Not for use by multiple applications!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

  - ### Method Detail

    - #### getProperties

          public static Properties getProperties()

      Returns the properties, sorted, WITHOUT the prefix

    - #### getProperty

          public static String getProperty(String name)

      Parameters:
        `name` -

    - #### getProperty

          public static int getProperty(String name,
                                        int defaultValue)

      Parameters:
        `name` -
        `defaultValue` -

    - #### getProperty

          public static String getProperty(String name,
                                           String defaultValue)

      Parameters:
        `name` -
        `defaultValue` -

    - #### hasConfigFile

          public static boolean hasConfigFile()

      Don't bother showing a reload config button if this returns false.

    - #### reloadConfiguration

          public static void reloadConfiguration()

    - #### saveConfiguration

          public static void saveConfiguration(Properties newProps)
                                        throws IOException

      Saves the properties. A property not in newProps will be removed but will not override the default in the resource.
      Parameters:
        `newProps` - non-null WITHOUT the prefix
      Throws:
        `IOException`

    - #### setPrefix

          public static void setPrefix(String prefix)

      Static! Not for use by multiple applications!
      Parameters:
        `prefix` -